import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { SnackbarsProvider } from '.';
import * as React from 'react';
import { ThemeProvider } from 'styled-components';
import { darkTheme, isValidColors } from '../styles';
import { OverlayProvider } from './overlay';
const defaultContext = {
    theme: darkTheme,
    setTheme: () => {
        return;
    },
};
export const AUIContext = React.createContext(defaultContext);
export const AUIProvider = (props) => {
    const { children } = props;
    const [context, updateContext] = React.useState(Object.assign(Object.assign({}, defaultContext), { theme: props.theme }));
    React.useEffect(() => {
        updateContext(Object.assign(Object.assign({}, context), { theme: props.theme }));
    }, [props.theme]);
    React.useEffect(() => {
        // validate theme color props
        isValidColors(context.theme);
    }, [context.theme]);
    const setTheme = React.useCallback((t) => {
        updateContext(Object.assign(Object.assign({}, context), { theme: t }));
    }, [context, updateContext]);
    const contextData = React.useMemo(() => (Object.assign(Object.assign({}, context), { setTheme })), [context, setTheme]);
    return (_jsx(AUIContext.Provider, Object.assign({ value: contextData }, { children: _jsx(ThemeProvider, Object.assign({ theme: context.theme }, { children: _jsxs(OverlayProvider, { children: [children, _jsx(SnackbarsProvider, {})] }) })) })));
};
