import styled from 'styled-components';
import { borderRadius, color as colorFn } from '../../styles';
const sizable = (size) => `
	min-width: ${size}px;
	width: ${size}px;
	height: ${size}px;
	font-size: ${size / 2}px;
`;
const Styled = {
    $: styled.div `
		display: flex;
		align-items: center;
		justify-content: center;
		color: ${colorFn('text')};
		background: ${(props) => { var _a; return (_a = colorFn(props.color)(props)) !== null && _a !== void 0 ? _a : props.color; }};
		${(props) => props.src &&
        `
			background-image: url("${props.src}");
			background-size: contain;
		`}
		${({ size }) => sizable(size)};
		border-radius: ${(props) => (props.square ? borderRadius(props) : '50%')};
		text-transform: uppercase;
		font-weight: 500;
		overflow: hidden;
		position: relative;
	`,
    Name: {
        $: styled.div `
			position: absolute;
			display: flex;
			align-items: center;
			justify-content: center;
			cursor: default;

			${(props) => props.src &&
            `
				opacity: 0;
			`}
		`,
    },
};
export default Styled;
