var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Ripple } from '../Ripple';
import { useRipple } from '../Ripple/useRipple';
import { Burger } from './Burger';
import { CopyButton } from './CopyButton';
import { S } from './Styled';
export function Button(props) {
    const { children, onClick, type, size = 'medium', block = false, color = 'main', circle = false, disabled = false, htmlType = 'button', icon = false } = props, rest = __rest(props, ["children", "onClick", "type", "size", "block", "color", "circle", "disabled", "htmlType", "icon"]);
    const [ripple, handleRipple] = useRipple();
    const handleClick = (event) => {
        if (onClick) {
            onClick(event);
        }
        handleRipple(event);
    };
    return (_jsxs(S.$, Object.assign({ "$type": type, type: htmlType, onClick: handleClick }, rest, { size: size, block: block, color: color, circle: circle, icon: icon, disabled: disabled }, { children: [_jsx(Ripple, { meta: ripple, style: { borderRadius: circle ? '50%' : undefined } }), children] })));
}
Button.Copy = CopyButton;
// TODO: существует цикл зависимость Burget -> Button -> Burger
Button.Burger = Burger;
