/// <reference types="react" />
import { ITheme, TSize } from '../../styles';
export declare type TButtonType = 'filled' | 'text' | 'bordered' | 'dashed';
export interface SButtonProps {
    $type?: TButtonType;
    size: TSize;
    block: boolean;
    color: keyof ITheme['colors'];
    circle: boolean;
    disabled: boolean;
    icon: boolean;
}
declare type MainButtonProps = {
    htmlType?: 'button' | 'submit';
    type?: TButtonType;
    disabled?: boolean;
    style?: React.CSSProperties;
    children: React.ReactNode;
    className?: string;
    onClick?: (event: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
    title?: string;
};
export declare type ButtonProps = Partial<Omit<SButtonProps, '$type'>> & MainButtonProps;
export {};
