import styled from 'styled-components';
import { border, borderRadius, getAnyColor, padding } from '../../styles';
export const Card = styled.div `
	display: flex;
	${(props) => (props.row ? `align-items: center;` : `flex-direction: column;`)}
	gap: ${(props) => { var _a; return padding((_a = props.size) !== null && _a !== void 0 ? _a : 'medium'); }};
	padding: ${(props) => { var _a; return padding((_a = props.size) !== null && _a !== void 0 ? _a : 'medium'); }};
	border-radius: ${borderRadius};

	${(props) => {
    if (props.dashed) {
        return `
				border-style: dashed;
				border-width: 2px;
				box-shadow: none;
				background: transparent !important;
			`;
    }
    return `
			border: ${border('grey')(props)};
		`;
}}

	${(props) => {
    if (props.color) {
        const theme = props.theme;
        const colorVal = getAnyColor(theme, props.color);
        return `
				background: ${colorVal};
				border-color: ${colorVal};
			`;
    }
    return ``;
}}

	${(props) => {
    if (props.hidden) {
        return `
				display: none;
			`;
    }
    return ``;
}}

	@media screen and (max-width: 480px) {
		padding: ${padding('medium')};
	}
`;
