var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import styled from 'styled-components';
import { borderRadius, color as colorFn, padding, toPx } from '../../styles';
const S = {
    $: styled.div `
		display: flex;
		clear: both;
		width: 100%;
		min-width: 100%;
		border-top: 1px ${(props) => (props.dashed ? 'dashed' : 'solid')} ${(props) => colorFn(props.color)(props)};
		position: relative;

		margin: ${(props) => padding(props.size)} 0;
		${(props) => (props.top ? `margin-top: ${toPx(props.top)};` : '')}
		${(props) => (props.bottom ? `margin-bottom: ${toPx(props.bottom)};` : '')}
	`,
    Content: {
        $: styled.div `
			position: absolute;
			left: 50%;
			top: 50%;
			transform: translate(-50%, -50%);
			background: ${colorFn('bg')};
			border-radius: ${borderRadius};
			padding: 0 8px;
		`,
    },
};
export const Divider = (props) => {
    const { size = 'medium', color = 'grey', children } = props, rest = __rest(props, ["size", "color", "children"]);
    return (_jsx(S.$, Object.assign({ size: size, color: color }, rest, { children: children ? _jsx(S.Content.$, { children: children }) : null })));
};
