import * as React from 'react';
import { ButtonProps } from '../Button/types';
import { SDropdownContentProps } from './Styled';
export interface DropdownProps extends Partial<SDropdownContentProps> {
    label?: React.ReactNode;
    children: React.ReactNode;
    open?: boolean;
    onChange?: (option: OptionProps) => void;
    onClose?: () => void;
}
export interface OptionProps extends Partial<Omit<ButtonProps, 'onClick' | 'icon'>> {
    onClick?: (optionProps: OptionProps, e: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
}
export declare class Option extends React.Component<OptionProps> {
    render(): JSX.Element;
}
export declare const Dropdown: {
    (props: DropdownProps): JSX.Element;
    Label: ({ ...rest }: Partial<ButtonProps>) => JSX.Element;
};
