var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as React from 'react';
import { InputLabel } from '../Input';
import { Preview } from './Preview';
import { S } from './Styled';
if (typeof window !== 'undefined' && typeof window.navigator !== 'undefined') {
    require('hypermd');
}
const options = {
    mode: 'hypermd',
    // mode: 'gfm',
    theme: 'hypermd-light',
    hmdFold: {
        image: true,
        link: true,
    },
    hmdHideToken: true,
    hmdCursorDebounce: true,
    hmdPaste: true,
    hmdClick: true,
    hmdHover: true,
    hmdTableAlign: true,
    lineWrapping: true,
};
/**
 * @docs hypermd: https://github.com/laobubu/HyperMD/blob/master/docs/index.md
 */
export const Editor = (props) => {
    const { id = React.useId(), size = 'medium', label, error, value = '', onChange, preview } = props, rest = __rest(props, ["id", "size", "label", "error", "value", "onChange", "preview"]);
    const handleChange = (value, editor, data) => {
        if (onChange) {
            onChange(value, editor, data);
        }
    };
    if (preview) {
        return _jsx(Preview, { value: value });
    }
    return (_jsxs(S.$, { children: [_jsx(InputLabel, Object.assign({ id: id, error: error, size: size }, { children: label })), _jsx(S.Input.$, Object.assign({ value: value, onBeforeChange: (editor, data, value) => {
                    handleChange(value, editor, data);
                }, options: options }, rest))] }));
};
