import * as React from 'react';
export declare const SVG_DEF: {
    readonly size: 24;
    readonly color: "#FFFFFF";
};
export interface SvgProps {
    size?: number;
    color?: string;
    style?: React.CSSProperties;
    className?: string;
    title?: string;
}
export declare const Svg: ({ style, children, viewBox, size, className, ...props }: SvgProps & {
    children: React.ReactNode;
    viewBox: string;
}) => JSX.Element;
export declare const Icon: {
    readonly Markdown: (props: SvgProps) => JSX.Element;
    readonly ChevronDown: (p: SvgProps) => JSX.Element;
    readonly ChevronUp: (p: SvgProps) => JSX.Element;
    readonly ChevronLeft: (p: SvgProps) => JSX.Element;
    readonly ChevronRight: (p: SvgProps) => JSX.Element;
    readonly Dots: (props: SvgProps) => JSX.Element;
    readonly Copy: (props: SvgProps) => JSX.Element;
    readonly Check: ({ ...props }: SvgProps) => JSX.Element;
};
