import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import styled from 'styled-components';
import { color } from '../../styles';
const DEFAULT_SIZE = 4;
const S = {
    $: styled.div `
		@keyframes loader {
			0% {
				width: 0;
			}

			50% {
				width: 50%;
			}

			100% {
				width: 100%;
			}
		}

		position: ${(props) => (props.relative ? 'relative' : 'absolute')};
		left: 0;
		top: 0;
		height: ${(props) => { var _a; return (_a = props.size) !== null && _a !== void 0 ? _a : DEFAULT_SIZE; }}px;
		overflow: hidden;
		width: 100%;
	`,
    Bar: {
        $: styled.div `
			background: ${color('bg')};
			height: 100%;
		`,
    },
    Progress: {
        $: styled.div `
			animation: loader 2s ease infinite;
			background: ${color('main')};
			width: 0;
			height: 100%;
		`,
    },
};
export const Loader = (props) => {
    const { active = true, skeleton, children } = props;
    return (_jsxs(_Fragment, { children: [active &&
                (skeleton !== null && skeleton !== void 0 ? skeleton : (_jsx(S.$, Object.assign({}, props, { children: _jsx(S.Bar.$, { children: _jsx(S.Progress.$, {}) }) })))), !active && children] }));
};
