import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { Modal } from '.';
import * as React from 'react';
import styled from 'styled-components';
import { border, color } from '../../styles';
import { useModal } from '../../utils';
import { Button } from '../Button';
import Container from '../Container';
export default {
    component: Modal,
};
const DefaultModalContent = () => {
    return (_jsxs(_Fragment, { children: [_jsx("p", { children: "Some contents..." }), _jsx("p", { children: "Some contents..." }), _jsx("p", { children: "Some contents..." })] }));
};
export const Basic = () => {
    const [isOpen, setOpen] = React.useState(false);
    const basicModal = useModal();
    const longContentModal = useModal();
    return (_jsxs(Container, { children: [_jsx(Button, Object.assign({ onClick: () => setOpen(!isOpen) }, { children: "Basic component" })), _jsx(Modal, Object.assign({ open: isOpen, onClose: () => setOpen(!isOpen) }, { children: _jsx(DefaultModalContent, {}) })), _jsx(Button, Object.assign({ onClick: () => basicModal.show(_jsx(Modal, Object.assign({ open: true, title: _jsx(Modal.Title, { children: "Title" }), onClose: basicModal.hide }, { children: _jsx(DefaultModalContent, {}) }))) }, { children: "React Modal Hook" })), _jsx(Button, Object.assign({ onClick: () => longContentModal.show(_jsx(Modal, { open: true, onClose: longContentModal.hide, closeButton: true, title: _jsx(Modal.Title, { children: "Long content" }), content: _jsx(Modal.Content, { children: _jsx("div", { children: Array.from({ length: 20 }).map((_, index) => (_jsx(DefaultModalContent, {}, index))) }) }), toolbar: _jsxs(Modal.Toolbar, { children: [_jsx(Button, Object.assign({ onClick: longContentModal.hide }, { children: "Close" })), _jsx(Button, Object.assign({ onClick: longContentModal.hide }, { children: "Ok" }))] }) })) }, { children: "Long content" }))] }));
};
export const Size = () => {
    const sizedModal = useModal();
    const handleClick = (size) => {
        sizedModal.show(_jsx(Modal, Object.assign({ open: true, onClose: sizedModal.hide, size: size, title: _jsxs(Modal.Title, { children: ["Size: ", size] }), toolbar: _jsxs(Modal.Toolbar, { children: [_jsx(Button, Object.assign({ onClick: sizedModal.hide }, { children: "Close" })), _jsx(Button, Object.assign({ onClick: sizedModal.hide }, { children: "Ok" }))] }) }, { children: Array.from({ length: 20 }).map((_, index) => (_jsx(DefaultModalContent, {}, index))) })));
    };
    return (_jsxs(Container, { children: [_jsx(Button, Object.assign({ onClick: () => handleClick('small'), size: "small" }, { children: "small" })), _jsx(Button, Object.assign({ onClick: () => handleClick('medium'), size: "medium" }, { children: "medium" })), _jsx(Button, Object.assign({ onClick: () => handleClick('large'), size: "large" }, { children: "large" }))] }));
};
export const Custom = () => {
    const customModal = useModal();
    const CustomStyledModal = styled(Modal) `
		width: 200px;
		height: 100%;
		border: ${border('blue')};
	`;
    const CustomTitle = styled(Modal.Title) `
		color: ${color('blue')};
	`;
    return (_jsx(Container, { children: _jsx(Button, Object.assign({ onClick: () => customModal.show(_jsx(CustomStyledModal, Object.assign({ open: true, onClose: customModal.hide, title: _jsx(CustomTitle, Object.assign({ color: "blue" }, { children: "Title" })) }, { children: _jsx(DefaultModalContent, {}) }))) }, { children: "Custom modal" })) }));
};
