var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import * as React from 'react';
export function useRipple() {
    const [coords, setCoords] = React.useState();
    const [timeout, refreshTimeout] = React.useState();
    const handleClick = React.useCallback((event) => __awaiter(this, void 0, void 0, function* () {
        const { top, left } = event.currentTarget.getBoundingClientRect();
        setCoords({ x: event.clientX - left, y: event.clientY - top, time: Date.now() });
    }), []);
    React.useEffect(() => {
        if (coords) {
            refreshTimeout(setTimeout(() => setCoords(undefined), 400));
        }
        return () => {
            refreshTimeout(undefined);
            clearTimeout(timeout);
        };
    }, [coords]);
    return [coords, handleClick];
}
