var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import styled, { css } from 'styled-components';
import { border, color as colorFn, padding } from '../../styles';
const SIZE = 20;
const S = {
    Wrapper: {
        $: styled.div `
			display: flex;
			align-items: center;
			justify-content: space-between;
			gap: ${padding('medium')}px;
			line-height: 1.4;
			cursor: pointer;
			user-select: none;

			${(p) => p.disabled &&
            css `
					opacity: 0.8;
					pointer-events: none;
				`}
		`,
    },
    $: styled.div `
		position: relative;
		margin: 0 ${padding('small')};
		border: ${border('bg')};
		width: ${SIZE * 1.5}px;
		min-width: ${SIZE * 1.5}px;
		height: ${SIZE - 2}px;
		display: flex;
		justify-content: center;
		align-items: center;
		background: ${colorFn('grey')};
		border-radius: 100px;
		cursor: pointer;

		&::before {
			content: '';
			position: absolute;
			width: ${SIZE}px;
			height: ${SIZE}px;
			background: ${colorFn('bg')};
			border: 2px solid ${colorFn('grey')};
			border-radius: 50%;
			transform: translateX(-50%);
			transition: 0.2s;
		}

		${(p) => p.value &&
        css `
				background: ${colorFn(p.color)(p)};

				&::before {
					border-color: ${colorFn(p.color)(p)};
					transform: translateX(50%);
				}
			`}
	`,
};
export const Switcher = (props) => {
    const { value, onChange, children, color = 'main', disabled } = props, rest = __rest(props, ["value", "onChange", "children", "color", "disabled"]);
    const handleClick = () => onChange && onChange(!value);
    return (_jsxs(S.Wrapper.$, Object.assign({ disabled: disabled, onClick: handleClick }, rest, { children: [children, _jsx(S.$, { value: value, color: color })] })));
};
