var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import * as React from 'react';
import styled from 'styled-components';
import { color, getFontSize, padding } from '../../styles';
const S = {
    $: styled.div `
		display: ${(props) => (props.inline ? 'inline' : 'inline-block')};
		font-size: ${(props) => { var _a; return getFontSize((_a = props.size) !== null && _a !== void 0 ? _a : 'medium'); }}px;
		gap: ${padding('medium')};
		line-height: 1.4;
		color: ${(props) => { var _a; return color((_a = props.color) !== null && _a !== void 0 ? _a : 'text')(props); }};

		${(props) => (props.bold ? 'font-weight: bold;' : '')}
		${(props) => (props.italic ? 'font-style: italic;' : '')}
		${(props) => (props.uppercase ? 'text-transform: uppercase;' : '')}
		${(p) => (p.onClick ? 'cursor: pointer;' : '')}

		button {
			padding: 0 2px;
		}
	`,
};
export const Text = (props) => {
    const [withMore, setWithMore] = React.useState(true);
    const { children, maxLength, size, inline = false } = props, rest = __rest(props, ["children", "maxLength", "size", "inline"]);
    let trimmed;
    const needTrim = withMore && maxLength && typeof children === 'string' && children.length > maxLength;
    if (needTrim) {
        trimmed = (_jsxs(_Fragment, { children: [children.slice(0, maxLength), ' ', _jsx(S.$, Object.assign({ inline: inline, size: size, color: "main", onClick: () => setWithMore(false) }, { children: "more..." }))] }));
    }
    return (_jsx(S.$, Object.assign({ inline: inline, size: size }, rest, { children: trimmed !== null && trimmed !== void 0 ? trimmed : children })));
};
