import { jsx as _jsx } from "react/jsx-runtime";
import styled from 'styled-components';
import { color } from '../../styles';
const S = {
    $: styled.div `
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background: ${color('black')}80;
		z-index: 9;
	`,
};
export const Overlay = ({ open, children, onClose }) => {
    return open ? (_jsx(S.$, Object.assign({ onClick: (e) => {
            const isWrapper = e.target === e.currentTarget;
            if (isWrapper && onClose) {
                e.stopPropagation();
                onClose(e);
            }
        } }, { children: children }))) : null;
};
