import { jsxs as _jsxs } from "react/jsx-runtime";
import * as React from 'react';
const defaultOverlayContext = {
    modals: [],
    showModal: () => {
        return;
    },
    hideModal: () => {
        return;
    },
};
export const OverlayContext = React.createContext(defaultOverlayContext);
// TODO?: ModalProvider, sepated provider
export const OverlayProvider = ({ children }) => {
    const [context, setContext] = React.useState(defaultOverlayContext);
    const showModal = React.useCallback((modalComponent) => {
        setContext(Object.assign(Object.assign({}, context), { modals: [...context.modals, modalComponent] }));
    }, [context, setContext]);
    const hideModal = React.useCallback((modalId) => {
        setContext(Object.assign(Object.assign({}, context), { modals: context.modals.filter((modalComponent) => modalComponent.props.id !== modalId) }));
    }, [context, setContext]);
    const contextData = React.useMemo(() => (Object.assign(Object.assign({}, context), { showModal,
        hideModal })), [context, showModal]);
    return (_jsxs(OverlayContext.Provider, Object.assign({ value: contextData }, { children: [children, React.Children.map(context.modals, (modal, key) => React.cloneElement(modal, Object.assign({ key }, modal.props)))] })));
};
