import { ITheme, TColors, TSize } from './types';
export declare const color: (key: TColors) => (props: {
    theme: ITheme;
}) => string;
export declare function checkColor(theme: ITheme, color?: TColors | string): color is TColors;
export declare function getAnyColor(theme: ITheme, value?: TColors | string): string | undefined;
export declare const overflowedText: () => string;
export declare const disabledCss: (extraCss?: string) => string;
export declare const inputLabelCss: (props: {
    theme: ITheme;
}) => string;
export declare const toPx: (value: number) => string;
export declare const borderRadius: (props: {
    theme: ITheme;
}) => string;
export declare const border: (c: TColors) => (props: {
    theme: ITheme;
}) => string;
export declare const padding: (size: TSize) => (props: {
    theme: ITheme;
}) => string;
export declare const selectPaddings: (props: {
    theme: ITheme;
}) => Record<TSize, string>;
export declare const getFontSize: (size?: TSize | undefined) => number;
export declare const setSize: (props: {
    theme: ITheme;
    size: TSize;
}) => string;
export declare const isValidColors: (theme: ITheme) => boolean;
export declare const clickEffect: {
    init: (props: {
        theme: ITheme;
        color: TColors;
    }, options?: {
        borderRadius: string;
    } | undefined) => string;
    active: () => string;
};
export declare const cssIf: (value: string, condition?: boolean) => string;
