import { cloneElement, useCallback, useContext, useId } from 'react';
import { OverlayContext } from '../../components/overlay';
export function useModal() {
    const id = useId();
    const context = useContext(OverlayContext);
    const show = useCallback((component) => context.showModal(cloneElement(component, Object.assign(Object.assign({}, component.props), { id }))), [context]);
    const hide = useCallback(() => context.hideModal(id), [context]);
    return { show, hide, id };
}
